zenilib: zenilib/jni/external/freetype2/include/freetype/ftmm.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
ftmm.h File Reference
`#include <ft2build.h>`
`#include <FT_TYPE1_TABLES_H>`

Go to the source code of this file.

## Classes

struct | FT_MM_Axis_
struct | FT_MM_Var_
struct | FT_Multi_Master_
struct | FT_Var_Axis_
struct | FT_Var_Named_Style_

## Typedefs

typedef FT_BEGIN_HEADER struct FT_MM_Axis_ | FT_MM_Axis
typedef struct FT_MM_Var_ | FT_MM_Var
typedef struct FT_Multi_Master_ | FT_Multi_Master
typedef struct FT_Var_Axis_ | FT_Var_Axis
typedef struct FT_Var_Named_Style_ | FT_Var_Named_Style

## Functions

| FT_Get_MM_Var (FT_Face face, FT_MM_Var **amaster)
| FT_Get_Multi_Master (FT_Face face, FT_Multi_Master *amaster)
| FT_Set_MM_Blend_Coordinates (FT_Face face, FT_UInt num_coords, FT_Fixed *coords)
| FT_Set_MM_Design_Coordinates (FT_Face face, FT_UInt num_coords, FT_Long *coords)
| FT_Set_Var_Blend_Coordinates (FT_Face face, FT_UInt num_coords, FT_Fixed *coords)
| FT_Set_Var_Design_Coordinates (FT_Face face, FT_UInt num_coords, FT_Fixed *coords)

## Typedef Documentation

typedef FT_BEGIN_HEADER struct FT_MM_Axis_ FT_MM_Axis

typedef struct FT_MM_Var_ FT_MM_Var

typedef struct FT_Multi_Master_ FT_Multi_Master

typedef struct FT_Var_Axis_ FT_Var_Axis

typedef struct FT_Var_Named_Style_ FT_Var_Named_Style

## Function Documentation

FT_Get_MM_Var | ( | FT_Face | face,
|  | FT_MM_Var ** | amaster
| ) |  |

Definition at line 88 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().

FT_Get_Multi_Master | ( | FT_Face | face,
|  | FT_Multi_Master * | amaster
| ) |  |

Definition at line 66 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().

FT_Set_MM_Blend_Coordinates | ( | FT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

Definition at line 156 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().

FT_Set_MM_Design_Coordinates | ( | FT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Long * | coords
| ) |  |

Definition at line 110 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().

FT_Set_Var_Blend_Coordinates | ( | FT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

Definition at line 182 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().

FT_Set_Var_Design_Coordinates | ( | FT_Face | face,
|  | FT_UInt | num_coords,
|  | FT_Fixed * | coords
| ) |  |

Definition at line 133 of file ftmm.c.

References error, FT_Err_Invalid_Argument, and ft_face_get_mm_service().